API reference OpenAPI 3.1
PATCH /tasks/{id}

Update a task

Bearer API key or staff session application/json operation updateTask

Parameters

NameInTypeRequiredDescription
id path string Yes —

Request

Content type: application/json · required

FieldTypeRequiredDescription
title string No —
detail string No —
assignee string No —
status string No one of open, in_progress, blocked, done, cancelled
priority string No one of low, medium, high, critical
due_at string (date-time) No —
sla_hours integer No —
curl -X PATCH "$MONICHEK_API/tasks/{id}" \
  -H "Authorization: Bearer $MONICHEK_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "title": "Example title",
  "detail": "Example note",
  "assignee": "string",
  "status": "open",
  "priority": "low",
  "due_at": "2026-10-23T12:00:00Z",
  "sla_hours": 1
}'
const res = await fetch(`${MONICHEK_API}/tasks/{id}`, {
  method: "PATCH",
  headers: {
    Authorization: `Bearer ${MONICHEK_API_KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "title": "Example title",
    "detail": "Example note",
    "assignee": "string",
    "status": "open",
    "priority": "low",
    "due_at": "2026-10-23T12:00:00Z",
    "sla_hours": 1
  }),
});

const data = await res.json();
import os
import requests

res = requests.patch(
    f"{os.environ['MONICHEK_API']}/tasks/{id}",
    headers={"Authorization": f"Bearer {os.environ['MONICHEK_API_KEY']}"},
    json={
      "title": "Example title",
      "detail": "Example note",
      "assignee": "string",
      "status": "open",
      "priority": "low",
      "due_at": "2026-10-23T12:00:00Z",
      "sla_hours": 1
    },
)
print(res.json())
$ch = curl_init(getenv('MONICHEK_API') . '/tasks/{id}');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'PATCH',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('MONICHEK_API_KEY'),
        'Content-Type: application/json',
    ],
    CURLOPT_POSTFIELDS => json_encode([
        'title' => 'Example title',
        'detail' => 'Example note',
        'assignee' => 'string',
        'status' => 'open',
        'priority' => 'low',
        'due_at' => '2026-10-23T12:00:00Z',
        'sla_hours' => 1,
    ]),
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;

Replace {id} with the resource id.

Responses

200 OK updated task application/json

No response example is published for this status.

Error responses

StatusMeaningBody
403 Forbidden RFC 9457 problem
404 Not Found RFC 9457 problem
422 Unprocessable Entity RFC 9457 problem

Errors use the RFC 9457 problem format with a stable code.